Bug 998802 - [abrt] geany-1.23.1-1.fc18: gtk_im_context_filter_keypress: Process /usr/bin/geany was killed by signal 11 (SIGSEGV)
[abrt] geany-1.23.1-1.fc18: gtk_im_context_filter_keypress: Process /usr/bin/...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: geany (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Josef Bacik
Fedora Extras Quality Assurance
abrt_hash:6c7c2535ec2b353edbcceb8de06...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-20 02:18 EDT by Suawomirr
Modified: 2014-02-05 17:18 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:18:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (26.71 KB, text/plain)
2013-08-20 02:19 EDT, Suawomirr
no flags Details
File: cgroup (127 bytes, text/plain)
2013-08-20 02:19 EDT, Suawomirr
no flags Details
File: core_backtrace (3.40 KB, text/plain)
2013-08-20 02:19 EDT, Suawomirr
no flags Details
File: dso_list (10.31 KB, text/plain)
2013-08-20 02:19 EDT, Suawomirr
no flags Details
File: environ (1.64 KB, text/plain)
2013-08-20 02:19 EDT, Suawomirr
no flags Details
File: limits (1.29 KB, text/plain)
2013-08-20 02:19 EDT, Suawomirr
no flags Details
File: maps (47.82 KB, text/plain)
2013-08-20 02:19 EDT, Suawomirr
no flags Details
File: open_fds (1.04 KB, text/plain)
2013-08-20 02:19 EDT, Suawomirr
no flags Details
File: proc_pid_status (943 bytes, text/plain)
2013-08-20 02:19 EDT, Suawomirr
no flags Details
File: var_log_messages (652 bytes, text/plain)
2013-08-20 02:19 EDT, Suawomirr
no flags Details

  None (edit)
Description Suawomirr 2013-08-20 02:18:56 EDT
Description of problem:
I opened the geany editor, then opened an html file from usb pendrive, tried to edit it. During writing the editor closed unexpectedly. Happens all the time. The second try always goes well, but the first opening of the geany editor after start of the system and logging into it, fails.

Version-Release number of selected component:
geany-1.23.1-1.fc18

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        geany
crash_function: gtk_im_context_filter_keypress
executable:     /usr/bin/geany
kernel:         3.10.7-100.fc18.x86_64
runlevel:       N 5
uid:            1000
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gtk_im_context_filter_keypress at gtkimcontext.c:469
 #1 gtk_im_multicontext_filter_keypress at gtkimmulticontext.c:333
 #2 ScintillaGTK::KeyRelease at gtk/ScintillaGTK.cxx:2246
 #3 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c:86
 #8 gtk_widget_event_internal at gtkwidget.c:5017
 #9 gtk_widget_event at gtkwidget.c:4814
 #10 gtk_window_propagate_key_event at gtkwindow.c:5199
 #11 gtk_window_key_release_event at gtkwindow.c:5247
 #12 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c:86
 #17 gtk_widget_event_internal at gtkwidget.c:5017
Comment 1 Suawomirr 2013-08-20 02:19:01 EDT
Created attachment 788323 [details]
File: backtrace
Comment 2 Suawomirr 2013-08-20 02:19:04 EDT
Created attachment 788324 [details]
File: cgroup
Comment 3 Suawomirr 2013-08-20 02:19:07 EDT
Created attachment 788325 [details]
File: core_backtrace
Comment 4 Suawomirr 2013-08-20 02:19:11 EDT
Created attachment 788326 [details]
File: dso_list
Comment 5 Suawomirr 2013-08-20 02:19:15 EDT
Created attachment 788327 [details]
File: environ
Comment 6 Suawomirr 2013-08-20 02:19:18 EDT
Created attachment 788328 [details]
File: limits
Comment 7 Suawomirr 2013-08-20 02:19:22 EDT
Created attachment 788329 [details]
File: maps
Comment 8 Suawomirr 2013-08-20 02:19:26 EDT
Created attachment 788330 [details]
File: open_fds
Comment 9 Suawomirr 2013-08-20 02:19:29 EDT
Created attachment 788331 [details]
File: proc_pid_status
Comment 10 Suawomirr 2013-08-20 02:19:33 EDT
Created attachment 788332 [details]
File: var_log_messages
Comment 11 Fedora End Of Life 2013-12-21 09:30:24 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2014-02-05 17:18:40 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.